package com.usky.fire.controller.web;


import com.usky.common.core.bean.ApiResult;
import com.usky.fire.domain.PatrolInspectionArea;
import com.usky.fire.service.PatrolInspectionAreaService;
import com.usky.fire.service.vo.PatrolInspectionAreaVo;
import com.usky.fire.controller.web.BaseController;
import com.usky.fire.controller.web.page.TableDataInfo;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.List;

/**
 * 巡查自检-巡检区域
 *
 * @author JCB
 * @since 2022-07-12
 */
@RestController
@RequestMapping("/patrolInspectionArea")
public class PatrolInspectionAreaController {

    @Autowired
    private PatrolInspectionAreaService patrolInspectionAreaService;

    /**
     * 巡查自检-巡检区域-新增
     *
     * @param patrolInspectionAreaVo
     * @return
     */
    @PostMapping("addPatrolInspectionArea")
    public ApiResult<Void> addPatrolInspectionArea(@RequestBody PatrolInspectionAreaVo patrolInspectionAreaVo) {
        patrolInspectionAreaService.addPatrolInspectionArea(patrolInspectionAreaVo);
        return ApiResult.success();
    }

    /**
     * 巡查自检-巡检区域-编辑
     *
     * @param patrolInspectionArea
     * @return
     */
    @PostMapping("updatePatrolInspectionArea")
    public ApiResult<Void> updatePatrolInspectionArea(@RequestBody PatrolInspectionArea patrolInspectionArea) {
        patrolInspectionAreaService.updatePatrolInspectionArea(patrolInspectionArea);
        return ApiResult.success();
    }

    /**
     * 巡查自检-巡检区域-删除
     *
     * @param id 区域ID
     * @return
     */
    @GetMapping("delPatrolInspectionArea")
    public ApiResult<Void> delPatrolInspectionArea(@RequestParam(value = "id") Integer id) {
        patrolInspectionAreaService.delPatrolInspectionArea(id);
        return ApiResult.success();
    }

    /**
     * 巡查自检-巡检区域-列表查詢
     *
     * @param areaName 区域名称
     * @param pageNum  当前页
     * @param pageSize 每页条数
     * @param id
     * @return
     */
    @GetMapping("patrolInspectionAreaList")
    public ApiResult<List<PatrolInspectionArea>> patrolInspectionAreaList(@RequestParam(value = "areaName", required = false) String areaName,
                                                             @RequestParam(value = "pageNum", required = false, defaultValue = "1") Integer pageNum,
                                                             @RequestParam(value = "pageSize", required = false, defaultValue = "10") Integer pageSize,
                                                             @RequestParam(value = "id", required = false, defaultValue = "0") Integer id) {
        return ApiResult.success(patrolInspectionAreaService.patrolInspectionAreaList(id, areaName, pageNum, pageSize));
    }

    /**
     * 巡查自检-巡检区域-一级区域下拉框
     *
     * @return
     */
    @GetMapping("patrolInspectionAreaSelect")
    public ApiResult<List<PatrolInspectionArea>> patrolInspectionAreaSelect() {
        return ApiResult.success(patrolInspectionAreaService.patrolInspectionAreaSelect());
    }


}